unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, PrintersDlgs, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtDlgs, ExtCtrls;

type

  { TL4_5_Ivanov_Form1 }

  TL4_5_Ivanov_Form1 = class(TForm)
    Button1: TButton;
    Button10: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    CalculatorDialog1: TCalculatorDialog;
    CalendarDialog1: TCalendarDialog;
    ColorDialog1: TColorDialog;
    FontDialog1: TFontDialog;
    Image1: TImage;
    Label1: TLabel;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    OpenPictureDialog1: TOpenPictureDialog;
    PrintDialog1: TPrintDialog;
    SaveDialog1: TSaveDialog;
    SavePictureDialog1: TSavePictureDialog;
    procedure Button10Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  L4_5_Ivanov_Form1: TL4_5_Ivanov_Form1;

implementation

{$R *.lfm}

{ TL4_5_Ivanov_Form1 }

procedure TL4_5_Ivanov_Form1.Button1Click(Sender: TObject);
begin
  // Настраиваем компонент на отбор текстовых файлов:
    OpenDialog1.Filter := 'Текстовые файлы|*.txt|' +
                'Файлы Паскаля|*.pas';
    // Выполняем диалог и анализируем его результат
    if OpenDialog1.Execute and FileExists(OpenDialog1.FileName) then
      // Результат успешный - пользователь выбрал файл.
      // Загружаем файл в поле Memol:
      Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
end;

procedure TL4_5_Ivanov_Form1.Button10Click(Sender: TObject);
begin
  if SavePictureDialog1.Execute then Image1.Picture.SaveToFile(SavePictureDialog1.FileName);
end;

procedure TL4_5_Ivanov_Form1.Button2Click(Sender: TObject);
begin
  if OpenDialog1.Execute then Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
end;

procedure TL4_5_Ivanov_Form1.Button3Click(Sender: TObject);
begin
    if FileExists('MyText.txt') then
    Memo1.Lines.LoadFromFile('MyText.txt')
  else ShowMessage('Файл MyText.txt не существует');

end;

procedure TL4_5_Ivanov_Form1.Button4Click(Sender: TObject);
begin
  if SaveDialog1.Execute then Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;

procedure TL4_5_Ivanov_Form1.Button5Click(Sender: TObject);
begin
    // Выполняем диалог и анализируем его результат
  if ColorDialog1.Execute then
    // Результат успешный - пользователь выбрал цвет.
    // Используем выбранный цвет.
    Memo1.Color:=ColorDialog1.Color;
end;

procedure TL4_5_Ivanov_Form1.Button6Click(Sender: TObject);
begin
  // Выполняем диалог и анализируем его результат
  if FontDialog1.Execute then
    // Результат успешный - пользователь выбрал шрифт.
    // Используем выбранный шрифт.
    Memo1.Font:=FontDialog1.Font;
end;

procedure TL4_5_Ivanov_Form1.Button7Click(Sender: TObject);
begin
  if CalendarDialog1.Execute then Memo1.Lines.Add(DateToStr(CalendarDialog1.Date));
end;

procedure TL4_5_Ivanov_Form1.Button8Click(Sender: TObject);
begin
   if CalculatorDialog1.Execute then Memo1.Lines.Add(FloatToStr(CalculatorDialog1.Value));
end;

procedure TL4_5_Ivanov_Form1.Button9Click(Sender: TObject);
begin
   // Выполняем диалог и анализируем его результат
  if OpenPictureDialog1.Execute and
        FileExists(OpenPictureDialog1.FileName) then
    // Результат успешный - пользователь выбрал файл.
    // Загружаем файл в компонент Imagel:
   Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

end.

